This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 174476 - CAN-2005-3185 WGet/Curl NTLM Username Buffer Overflow
CAN-2005-3185 WGet/Curl NTLM Username Buffer Overflow
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: curl (Show other bugs)
rhl7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.securityfocus.com/bid/15102
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 09:04 EST by John Dalbec
Modified: 2007-08-30 15:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 15:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2005-11-29 09:04:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20051012 Netscape/8.0.4

Description of problem:
05.42.13 CVE: CAN-2005-3185
Platform: Unix
Title: Multiple Vendor WGet/Curl NTLM Username Buffer Overflow
Vulnerability
Description: GNU wget is a software package for retrieving files using
HTTP, HTTPS and FTP. CURL is a command line tool for transferring
files with URL syntax, supporting FTP, FTPS, HTTP, HTTPS, GOPHER,
TELNET, DICT, FILE and LDAP. They are reported to be vulnerable to a
buffer overflow issue due to improper boundary checking on user
supplied data.
Ref: http://www.securityfocus.com/bid/15102 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 John Dalbec 2005-12-09 15:53:30 EST
05.49.13 CVE: CVE-2005-0490
Platform: Unix
Title: cURL / libcURL URL Parser Buffer Overflow
Description: cURL is a utility for retrieving remote content from
servers over a number of protocols. libcURL provides this
functionality to applications, as a shared library. cURL and libcURL
are prone to a buffer overflow vulnerability. The issues occur when
the URL parser function handles an excessively long URL string and is
caused by two separate errors. An attacker can exploit these issues to
crash the affected library, effectively denying service.
Ref: http://curl.haxx.se/docs/adv_20051207.html 
Comment 2 Jesse Keating 2007-08-30 15:57:26 EDT
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.

Note You need to log in before you can comment on or make changes to this bug.